const items=[
	'schema',
	'version',
	'convert-basic-containers',
	'updatable',
	'zeroscale',
	'zeroscaleDependencies',
	'forwarder',
	'ingress',
	'directPorts',
	'config',
	'storage',
	'environment',
	'privileged',
	'container',
]



const imports={}
const promises=[]
items.forEach(item=>{
	promises.push(import(`./modules/${item}.js`).then(module=>imports[item]=module))
})
export const waitfor=Promise.all(promises)
export async function module(type,args) {
	for(const item of items) {
		const subtype=imports[item][type]
		if(!subtype) continue
		await subtype(args)
	}
}
