import {doTemplate} from '../helpers.js'
import Ajv2019 from "ajv/dist/2019.js"
const ajv = new Ajv2019({
	//strict: true,
	//strictRequired: false,
	verbose: true,
})
export async function file({yaml, getTemplate}) {
	const validate=ajv.compile(doTemplate(await getTemplate("schema"))[0])
	const validateResult = validate(yaml[0])
	if(!validateResult) throw validate.errors.map(error=>{
		error.comment=error.parentSchema.$comment
		delete error.parentSchema
		delete error.schema
		return error
	})
}